import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature } from 'topojson';

const jsonUrl =
  'https://gist.githubusercontent.com/erikerickson/28a4ebf3f11169ca8315a776ab24190d/raw/b409a9b2fb0445ca09b5a2a25ed1b3947fd42abe/mass.json';

export const useMassGeo = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    json(jsonUrl).then(topojsonData => {
      const { SCHOOLDISTRICTS_POLY } = topojsonData.objects;
      console.log(topojsonData);
      setData(feature(topojsonData, SCHOOLDISTRICTS_POLY));
    });
  }, []);

  return data;
};
